Index: anuga_core/source/anuga/geospatial_data/geospatial_data.py
===================================================================
--- anuga_core/source/anuga/geospatial_data/geospatial_data.py	(revision 4149)
+++ anuga_core/source/anuga/geospatial_data/geospatial_data.py	(revision 4150)
@@ -6,4 +6,5 @@
 from os import access, F_OK, R_OK
 from types import DictType
+from warnings import warn
 
 from Numeric import concatenate, array, Float, shape, reshape, ravel, take, \
@@ -578,5 +579,10 @@
         and yll and geo_reference remains uneffected
         """
-    
+
+        if absolute is False and file_name[-4:] == ".xya":
+            msg = 'The text file values must be absolute.   '
+            msg += 'Text file format is moving to comma seperated .txt files.'
+            warn(msg, DeprecationWarning) 
+
         if (file_name[-4:] == ".xya"):
             if absolute is True:         
@@ -600,4 +606,10 @@
                                 self.get_all_attributes(),
                                 self.get_geo_reference())
+                
+        elif (file_name[-4:] == ".txt"):
+            _write_xya_file(file_name,
+                            self.get_data_points(absolute=True), 
+                            self.get_all_attributes())
+                                    
         else:
             msg = 'Unknown file type %s ' %file_name
Index: anuga_core/source/anuga/geospatial_data/test_geospatial_data.py
===================================================================
--- anuga_core/source/anuga/geospatial_data/test_geospatial_data.py	(revision 4149)
+++ anuga_core/source/anuga/geospatial_data/test_geospatial_data.py	(revision 4150)
@@ -970,5 +970,5 @@
         os.remove(fileName)
         
-    def test_export_xya_file(self):
+    def depreciated_test_export_xya_file(self):
 #        dict = {}
         att_dict = {}
@@ -1126,6 +1126,6 @@
         
     def test_writepts(self):
-        """test_writepts: Test that storage of x,y,attributes works
-        """
+        #test_writepts: Test that storage of x,y,attributes works
+        
         att_dict = {}
         pointlist = array([[1.0, 0.0],[0.0, 1.0],[1.0, 0.0]])
@@ -1148,8 +1148,16 @@
                          'test_writepts failed. Test geo_reference')
 
+    def test_write_xya_attributes(self):
+        #test_write xya: Test that storage of x,y,attributes works
+        
+        att_dict = {}
+        pointlist = array([[1.0, 0.0],[0.0, 1.0],[1.0, 0.0]])
+        att_dict['elevation'] = array([10.0, 0.0, 10.4])
+        att_dict['brightness'] = array([10.0, 0.0, 10.4])
+        geo_reference=Geo_reference(56,0,0)
         # Test xya format
         fileName = tempfile.mktemp(".xya")
         G = Geospatial_data(pointlist, att_dict, geo_reference)
-        G.export_points_file(fileName, False)
+        G.export_points_file(fileName)
         results = Geospatial_data(file_name=fileName)
         os.remove(fileName)
@@ -1162,6 +1170,7 @@
 
     def test_writepts_no_attributes(self):
-        """test_writepts_no_attributes: Test that storage of x,y alone works
-        """
+
+        #test_writepts_no_attributes: Test that storage of x,y alone works
+        
         att_dict = {}
         pointlist = array([[1.0, 0.0],[0.0, 1.0],[1.0, 0.0]])
@@ -1178,9 +1187,15 @@
         self.failUnless(geo_reference == geo_reference,
                          'test_writepts failed. Test geo_reference')
-
+        
+    def test_write_xya_no_attributes(self):
+        #test_write xya _no_attributes: Test that storage of x,y alone works
+        
+        att_dict = {}
+        pointlist = array([[1.0, 0.0],[0.0, 1.0],[1.0, 0.0]])
+        geo_reference=Geo_reference(56,0,0)
         # Test xya format
         fileName = tempfile.mktemp(".xya")
         G = Geospatial_data(pointlist, None, geo_reference)
-        G.export_points_file(fileName, False)
+        G.export_points_file(fileName)
         results = Geospatial_data(file_name=fileName)
         os.remove(fileName)