Index: anuga_core/source/anuga/examples/run_gippsland.py
===================================================================
--- anuga_core/source/anuga/examples/run_gippsland.py	(revision 4171)
+++ 	(revision )
@@ -1,18 +1,0 @@
-from anuga.pyvolution.data_manager import asc_csiro2sww
-import time
-
-t0 = time.time()
-
-
-asc_csiro2sww('bathymetry_expanded','elev_expanded','ucur_expanded',
-              'vcur_expanded', 'test_extent_true_38.25__37.7__147__148.25.sww',zscale=1,
-              mean_stage = 0,
-              fail_on_NaN = False,
-              elevation_NaN_filler = 0
-              ,
-              minlat = -38.25, maxlat = -37.7, ###-37.75,
-              minlon = 147.0, maxlon = 148.25
-              , verbose = True
-              )
-
-print 'That took %.2f seconds' %(time.time()-t0)
Index: anuga_core/source/anuga/examples/run_gong.py
===================================================================
--- anuga_core/source/anuga/examples/run_gong.py	(revision 4171)
+++ 	(revision )
@@ -1,143 +1,0 @@
-"""Example of shallow water wave equation.
-
-Specific methods pertaining to the 2D shallow water equation
-are imported from shallow_water
-for use with the generic finite volume framework
-
-A example of running this program is;
-python run_tsh.py visualise hill.tsh 0.05 1
-"""
-
-######################
-# Module imports 
-#
-
-import sys
-from os import sep, path
-sys.path.append('..'+sep+'pyvolution')
-
-from shallow_water import Domain, Reflective_boundary, Dirichlet_boundary,\
-     Transmissive_boundary, Time_boundary, Add_value_to_region, File_boundary
-from mesh_factory import rectangular
-from anuga.pyvolution.pmesh2domain import pmesh_to_domain, pmesh_to_domain_instance
-from anuga.visualiser import RealtimeVisualiser
-
-from Numeric import array
-
-import time
-
-######################
-# Domain
-
-import sys
-
-usage = "usage: %s ['visual'|'non-visual'] pmesh_file_name yieldstep finaltime" %         path.basename(sys.argv[0])
-
-if len(sys.argv) < 4:
-    print usage
-else:
-    if sys.argv[1][0] == "n" or sys.argv[1][0] == "N":
-        visualise = False
-    else:    
-        visualise = True
-    filename = sys.argv[2]
-    yieldstep = float(sys.argv[3])
-    finaltime = float(sys.argv[4])
-    
-    print 'Creating domain from', filename
-    domain = pmesh_to_domain_instance(filename, Domain)
-    print "Number of triangles = ", len(domain)
-
-    domain.checkpoint = False #True
-    domain.default_order = 1
-    domain.smooth = True
-    domain.set_datadir('.')
-    domain.starttime = 20000 
-
-    if (visualise):
-        domain.store = False  #True    #Store for visualisation purposes
-    else:
-        domain.store = True  #True    #Store for visualisation purposes
-        domain.format = 'sww'   #Native netcdf visualisation format
-    
-        file_path, filename = path.split(filename)
-        filename, ext = path.splitext(filename)
-        domain.set_name(filename + '_' + '_ys'+ str(yieldstep) + \
-                        '_ft' + str(finaltime))
-        print "Output being written to " + domain.get_datadir() + sep + \
-              domain.get_name() + "." + domain.format
-
-
-    #Set friction
-    manning = 0.07
-    inflow_stage = 10.0
-    domain.set_quantity('friction', manning)
-
-    ######################
-    # Boundary conditions
-    #
-    print 'Boundaries'
-    reflective = Reflective_boundary(domain)
-    Bt = Transmissive_boundary(domain)
-
-    #Constant inflow
-    Bd = Dirichlet_boundary(array([inflow_stage, 0.0, 0.0]))
-
-    #Time dependent inflow
-    from math import sin, pi
-    Bw = Time_boundary(domain=domain,
-                       f=lambda x: array([(1 + sin(x*pi/4))*\
-                        (inflow_stage*(sin(2.5*x*pi)+0.7)),0,0]))
-
-    boundary_file = 'kermadec2.sww'
-
-    Fb = File_boundary(boundary_file, domain, verbose=True)
-
-    print 'Available boundary tags are', domain.get_boundary_tags()
-    print 'The extent is ', domain.get_extent()
-
-    #Set the ocean...
-    domain.set_quantity('stage', 0.0)
-
-    #Set boundary conditions
-    
-    tags = {}
-   
-    tsunami = Fb
-    tags['w1'] = tsunami 
-    tags['w2'] = tsunami
-    tags['w3'] = tsunami
-    tags['w4'] = tsunami
-    tags['w5'] = tsunami
-    tags['w6'] = tsunami
-    tags['w7'] = tsunami
-    tags['wave'] = tsunami
-    tags['external'] = tsunami
-    tags['exterior'] = tsunami
-
-    domain.set_boundary(tags)
-
-    # region tags
-    
-    domain.check_integrity()
-
-    # prepare the visualiser
-    if visualise is True:
-        v = RealtimeVisualiser(domain)
-        v.render_quantity_height('elevation', dynamic=False)
-        v.render_quantity_height('stage', dynamic=True)
-        v.colour_height_quantity('stage', (0.0, 0.0, 0.8))
-        v.start()
-    ######################
-    #Evolution
-    t0 = time.time()
-    for t in domain.evolve(yieldstep = yieldstep, finaltime = finaltime):
-        domain.write_time()
-        if visualise is True:
-            v.update()
-    if visualise is True:
-        v.evolveFinished()
-    
-    print 'That took %.2f seconds' %(time.time()-t0)
-
-    
Index: anuga_core/source/anuga/examples/run_tsh.py
===================================================================
--- anuga_core/source/anuga/examples/run_tsh.py	(revision 4171)
+++ anuga_core/source/anuga/examples/run_tsh.py	(revision 4173)
@@ -6,5 +6,5 @@
 
 A example of running this program is;
-python run_tsh.py visualise hill.tsh 0.05 1
+python run_tsh.py n hill.tsh 0.05 1
 """
 
@@ -13,17 +13,16 @@
 #
 
+from Numeric import array
+import time
 import sys
 from os import sep, path
-sys.path.append('..'+sep+'pyvolution')
 
-from shallow_water import Domain, Reflective_boundary, Dirichlet_boundary,\
-     Transmissive_boundary, Time_boundary
-from region import Add_value_to_region, Set_region
-from mesh_factory import rectangular
-from anuga.pyvolution.pmesh2domain import pmesh_to_domain_instance
+from anuga.shallow_water import Domain, Reflective_boundary, \
+     Dirichlet_boundary, Transmissive_boundary, Time_boundary
+from anuga.abstract_2d_finite_volumes.region import Add_value_to_region, \
+     Set_region
+from anuga.visualiser import RealtimeVisualiser
 
-from Numeric import array
 
-import time
 
 #from anuga.config import default_datadir 
@@ -50,4 +49,5 @@
     else:    
         visualise = True
+       
     filename = sys.argv[2]
     yieldstep = float(sys.argv[3])
@@ -55,5 +55,13 @@
     
     print 'Creating domain from', filename
-    domain = pmesh_to_domain_instance(filename, Domain)
+    domain = Domain(filename)
+
+    # check if the visualiser will work
+    try:
+        xx = RealtimeVisualiser(domain)
+    except:
+        print "Warning: Error in RealtimeVisualiser. Could not visualise."
+        visualise = False
+    
     print "Number of triangles = ", len(domain)
     print "domain.geo_reference",domain.geo_reference 
@@ -85,5 +93,5 @@
     inflow_stage = 10.0
 
-    ######NEW
+    
     domain.set_quantity('friction', manning)
 
@@ -93,5 +101,5 @@
     #                        domain.quantities['elevation'].vertex_values)
     #domain.set_quantity('stage', 0.0)
-    ######NEW
+    
 
     ######################